const _Http = getApp().globalData.http;
const MFT = require("../../utils/matchingFeilType");
Page({

    /**
     * 页面的初始数据
     */
    data: {
        detailData: {},
        currentVideo: {},
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        _Http.basic({
            "classname": "saletool.courseware.courseware",
            "method": "selectDetail",
            "content": {
                "sat_coursewareid": options.id
            }
        }, false).then(res => {
            let list = MFT.fileList(res.data[0].attinfos),
                videoList = [],
                flieList = [];
            for (let i = 0; i < list.length; i++) {
                list[i].fileType == 'video' ? videoList.push(list[i]) : flieList.push(list[i]);
            };
            this.setData({
                detailData: res.data[0],
                videoList,
                flieList,
                currentVideo: videoList[0] ? videoList[0] : {}
            })
        });

    },

    callBack({
        detail
    }) {
        this.setData({
            currentVideo: detail
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})