Component({
    /**
     * 组件的属性列表
     */
    properties: {},
    lifetimes: {
        attached() {},
        ready: function () {
            // 在组件实例进入页面节点树时执行
        },
    },
    /**
     * 组件的初始数据
     */

     /* 
            {
                icon: 'icon-a-biaoqianlangongzuo',
                text: '工作',
                url: '/pages/tabbar/workbench/index'
            }, */
    data: {
        active: 0,
        tabbarList: [{
                icon: 'icon-a-biaoqianlanshouyexuanzhong',
                text: '首页',
                url: '/pages/tabbar/home/index'
            },
            {
                icon: 'icon-a-biaoqianlanxiaoxi',
                text: '信息',
                url: '/pages/tabbar/message/index'
            },
            {
                icon: 'icon-a-biaoqianlanzhiku',
                text: '智库',
                url: '/pages/tabbar/smartStore/index',
            },
            {
                icon: 'icon-a-biaoqianlanwode',
                text: '我的',
                url: '/pages/tabbar/mine/index'
            }
        ],
    },

    /**
     * 组件的方法列表
     */
    methods: {
        /* tabbar */
        onChange(event) {
            this.setData({
                active: event.target.dataset.index
            });
            wx.switchTab({
                url: event.target.dataset.url
            });
        },
        init() {
            const page = getCurrentPages().pop();
            this.setData({
                active: this.data.tabbarList.findIndex(item => item.url === `/${page.route}`)
            });
        },
    },
})