const _Http = getApp().globalData.http;

Page({

    /**
     * 页面的初始数据
     */
    data: {
        rate: {
            nubmer: 5,
            text: "非常满意"
        }
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        wx.setNavigationBarTitle({
            title: "通告详情"
        })

        console.log(options)
        const item = JSON.parse(options.item);
        this.setData({
            detailsData: item
        })
        _Http.basic({
            "classname": "saletool.notice.notice",
            "method": "queryReadRecord",
            "content": {
                "sat_noticeid": item.sat_noticeid
            }
        }).then(res => {
            console.log(res)
        })
        /* 详情计数 */
        _Http.basic({
            "classname": "saletool.notice.notice",
            "method": "queryNoticeMain",
            "content": {
                "sat_noticeid": item.sat_noticeid
            }
        })
    },
    /* 评分 */
    rateChange({
        detail
    }) {
        let rate = {
            nubmer: detail,
            text: ""
        }
        switch (detail) {
            case 1:
                rate.text = '很不满意'
                break;
            case 2:
                rate.text = '不满意'
                break;
            case 3:
                rate.text = '一般'
                break;
            case 4:
                rate.text = '满意'
                break;
            case 5:
                rate.text = '非常满意'
                break;
        }
        this.setData({
            rate
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})