import Toast from '@vant/weapp/toast/toast';
const _Http = getApp().globalData.http;
const loginMsg = require("./modules/login");
Page({

    /**
     * 页面的初始数据
     */
    data: {
        isAgree: true
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },
    toPhoneLodin() {
        if (!this.data.isAgree) return Toast({
            message: '请阅读并勾选用户协议',
            position: 'bottom'
        });
        wx.navigateTo({
            url: './phone'
        })
    },
    agreementChange({
        detail
    }) {
        this.setData({
            isAgree: detail
        })
    },
    wechatLogin() {
        wx.login({
            success(res) {
                if (res.code) {
                    _Http.loginbywechat({
                        wechat_code: res.code,
                        "systemclient": "wechatsaletool"
                    }).then(res => {
                        console.log(res)
                        if (res.code == 0) return wx.showToast({
                            title: res.msg,
                            icon: "none"
                        })
                        loginMsg.loginMsg(res);
                    })
                } else {
                    console.log('登录失败！' + res.errMsg)
                }
            }
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})