const cf = require("../../../../utils/checkFile");
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        list: {
            type: Array,
            value: []
        },
        checkedId: {
            type: String,
            value: 0
        },
        changeId: {
            type: Function
        }
    },
    options: {
        addGlobalClass: true
    },
    /**
     * 组件的初始数据
     */
    data: {
        show: false,
        fileSelected: {},
    },
    /**
     * 组件的方法列表
     */
    methods: {
        /* 打开文件 */
        openFile(e) {
            const {
                item
            } = e.currentTarget.dataset;
            if (item.fileType == 'folder') {
                wx.navigateTo({
                    url: '/pages/tabbar/smartStore/folder?item=' + JSON.stringify(item),
                })
            } else {
                cf.checkFile(item)
            }
        },
        changeChecked(e) {
            this.triggerEvent("changeId", e.target.dataset.item)
        }
    }
})